#!/bin/bash

#Launch Linguist

currentDir="$( cd "$( dirname "$0" )" && pwd )"
cd $currentDir

# Create translation files for banana accounting

echo
echo Translating Bananana Accounting
echo 

# fix
BAN_BASE="ban8000"
BAN_DIR="src/translations"
OUT_DIR="./output"
LRFLAGS= 

# variables editable depending on Qt version
QT_DIR_BASE="mac_bin"
QT_DIR_TRANS="qtsrc/translations"
LR="$QT_DIR_BASE/lrelease"

if [ ! -f $LR ]
then
    echo "File not found!"
    exit
fi


# commands
rm -f $OUT_DIR/*.qm


# Cinese
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_chs.ts -qm $OUT_DIR/${BAN_BASE}_chs.qm
$LR $LRFLAGS $BAN_DIR/qt54_zh_CN.ts $QT_DIR_TRANS/qt_zh_CN.ts -qm $OUT_DIR/qt_zh_CN.qm
# German
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_deu.ts -qm $OUT_DIR/${BAN_BASE}_deu.qm
$LR $LRFLAGS $QT_DIR_TRANS/qtbase_de.ts -qm $OUT_DIR/qt_de.qm
# Spanish
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_esp.ts -qm $OUT_DIR/${BAN_BASE}_esp.qm
$LR $LRFLAGS $BAN_DIR/qt54_es.ts $QT_DIR_TRANS/qt_es.ts -qm $OUT_DIR/qt_es.qm
# French
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_fra.ts -qm $OUT_DIR/${BAN_BASE}_fra.qm
$LR $LRFLAGS $BAN_DIR/qt54_fr.ts $QT_DIR_TRANS/qt_fr.ts -qm $OUT_DIR/qt_fr.qm
# Italian
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_ita.ts -qm $OUT_DIR/${BAN_BASE}_ita.qm
$LR $LRFLAGS $QT_DIR_TRANS/qtbase_it.ts -qm $OUT_DIR/qt_it.qm
# Dutch
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_nld.ts -qm $OUT_DIR/${BAN_BASE}_nld.qm
$LR $LRFLAGS $BAN_DIR/qt54_nl.ts $BAN_DIR/qt_nl.ts -qm $OUT_DIR/qt_nl.qm
# Portuguese
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_ptb.ts -qm $OUT_DIR/${BAN_BASE}_ptb.qm
$LR $LRFLAGS $BAN_DIR/qt54_pt.ts $QT_DIR_TRANS/qt_pt.ts -qm $OUT_DIR/qt_pt.qm
# Russian
$LR $LRFLAGS $BAN_DIR/${BAN_BASE}_rus.ts -qm $OUT_DIR/${BAN_BASE}_rus.qm
$LR $LRFLAGS $QT_DIR_TRANS/qtbase_ru.ts -qm $OUT_DIR/qt_ru.qm

echo
echo
echo Translations files succesfully created
echo
echo To update Banana\'s translations you have to copy manually
echo all "$OUT_DIR/*.qm" files to "Applications/Banana80.app/Contents/Lang"
echo
